### Method

# Clutter Image get_texture

#### Declaration [src]

    CoglTexture*
    clutter_image_get_texture (
      ClutterImage* image
    )

#### Description [src]

Retrieves a pointer to the Cogl texture used by `image`.

If you change the contents of the returned Cogl texture you will need to manually invalidate the `image` with `clutter_content_invalidate()` in order to update the actors using `image` as their content.

#### Return value

Type: `CoglTexture`

A pointer to the Cogl texture, or `NULL`.

The returned data is owned by the instance.